> ## Documentation Index
> Fetch the complete documentation index at: https://www.artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Snowflake eco schedules

> Retrieves all Snowflake eco schedules for the authenticated user's company.

`GET /snowflake-eco-schedules`

## Authorization

* `Authorization` (header): API key passed as a Bearer token in the Authorization header.

## Example request

```bash
curl --request GET \
  --url https://api.artie.com/snowflake-eco-schedules \
  --header 'Authorization: Bearer <token>'
```

## Responses

### 200 OK

* `items` (object[], required)
  * `company` (string<uuid>, required)
  * `createdAt` (string<date-time>, required)
  * `environmentUUID` (string<uuid>, required)
  * `name` (string, required)
  * `settings` (object, required)
    * `days` (string[], required)
    * `endTimeOfDay` (string, required)
    * `offPeakBufferRows` (integer, required)
    * `offPeakFlushIntervalSeconds` (integer, required)
    * `offPeakFlushSizeKb` (integer, required)
    * `startTimeOfDay` (string, required)
    * `timezone` (string, required)
  * `updatedAt` (string<date-time>, required)
  * `uuid` (string<uuid>, required)

```json
{
  "items": [
    {
      "company": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "2023-11-07T05:31:56Z",
      "environmentUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "settings": {
        "days": [
          "<string>"
        ],
        "endTimeOfDay": "<string>",
        "offPeakBufferRows": 123,
        "offPeakFlushIntervalSeconds": 123,
        "offPeakFlushSizeKb": 123,
        "startTimeOfDay": "<string>",
        "timezone": "<string>"
      },
      "updatedAt": "2023-11-07T05:31:56Z",
      "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ]
}
```

### 500 Internal Server Error